Bug 195945 - CVE-2006-3082 gnupg integer overflow
Summary: CVE-2006-3082 gnupg integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnupg (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard: impact=moderate,source=vendorsec,publ...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-19 20:12 UTC by Josh Bressers
Modified: 2018-06-29 12:30 UTC (History)
0 users

Fixed In Version: RHSA-2006-0571
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-18 10:30:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0571 normal SHIPPED_LIVE Moderate: gnupg security update 2006-07-18 04:00:00 UTC

Description Josh Bressers 2006-06-19 20:12:08 UTC
gnupg integer overflow

Text taken from MITRE:

parse-packet.c in GnuPG (gpg) 1.4.3 and 1.9.20 allows remote attackers
to cause a denial of service (gpg crash) and possibly overwrite memory
via a message packet with a large length, which could lead to an
integer overflow, as demonstrated using the --no-armor option.


This issue also affects RHEL3
This issue also affects RHEL2.1

Comment 3 Red Hat Bugzilla 2006-07-18 10:30:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0571.html



Note You need to log in before you can comment on or make changes to this bug.